
Redmine - Defect #11207

Issues associated with a locked version are not copied when copying a project

2012-06-20 13:22 - Alfred Costa

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version: 2.1.0   

Resolution: Fixed Affected version: 1.3.2

Description

When I try to copy a project from Administration/Projects, it displays all the items to be copied and their number correctly (Issues,

versions, wiki, ...).

On the project I want to copy, there are two versions, one opened and one locked. Both have issues associated to them with the

"Target version" field.

When I copy the project, the issues linked to the locked version are not copied.

Another problem is that it does not keep the hierarchy set with the "Subproject of" field.

Here are my installation details:

About your application's environment

Ruby version              1.8.7 (i686-linux)

RubyGems version          1.7.2

Rack version              1.1

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Edge Rails revision       unknown

Application root          /home/forge/deps/redmine-1.3.2

Environment               production

Database adapter          mysql

Database schema version   20110902000000

About your Redmine plugins

Projects Tree View plugin            0.1.11

Timesheet Plugin                     0.6.0

Redmine Checkout plugin              0.5

Stuff To Do Plugin                   0.0.2

Redmine Auto Repos plugin            0.0.2

Bulk Time Entry                      0.5.0

Redmine Delete Project plugin        0.0.4

Redmine System Notification plugin   0.2.0

Associated revisions

Revision 10334 - 2012-09-09 12:11 - Jean-Philippe Lang

Fixed: Issues associated with a locked version are not copied when copying a project (#11207).

Revision 10336 - 2012-09-09 13:04 - Jean-Philippe Lang

Issues assigned to a locked/closed version are now copied (#11207).

History

#1 - 2012-06-20 21:02 - Jean-Philippe Lang

- Status changed from New to Confirmed

#2 - 2012-09-09 12:12 - Jean-Philippe Lang
- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.1.0

- Resolution set to Fixed

Fixed in r10334. Issues assigned to a locked or closed version are now copied.
